commit:     d41d662b5ba3cc219d6e743f2938afa0f65f426c
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 11 19:10:51 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Oct 11 19:16:53 2022 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=d41d662b

sci-visualization/fsleyes-props: add 1.8.2

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 .../fsleyes-props/fsleyes-props-1.8.2.ebuild       | 45 ++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/sci-visualization/fsleyes-props/fsleyes-props-1.8.2.ebuild 
b/sci-visualization/fsleyes-props/fsleyes-props-1.8.2.ebuild
new file mode 100644
index 000000000..eff42e1bb
--- /dev/null
+++ b/sci-visualization/fsleyes-props/fsleyes-props-1.8.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 virtualx
+
+MY_PN="props"
+
+DESCRIPTION="Object attribute management for the FSLeyes viewer"
+HOMEPAGE="https://git.fmrib.ox.ac.uk/fsl/fsleyes/fsleyes/tree/master";
+SRC_URI="https://git.fmrib.ox.ac.uk/fsl/fsleyes/${MY_PN}/-/archive/${PV}/${MY_PN}-${PV}.tar.gz";
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/matplotlib[${PYTHON_USEDEP}]
+       >=dev-python/wxpython-3.0.2.0[${PYTHON_USEDEP}]
+       >=sci-visualization/fsleyes-widgets-0.6[${PYTHON_USEDEP}]
+       >=dev-python/fslpy-1.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+       # do not depend on pytest-cov
+       sed -i -e '/addopts/d' setup.cfg || die
+
+       distutils-r1_python_prepare_all
+}
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       epytest || die "Tests failed with ${EPYTHON}"
+}

Reply via email to